package com.jwl.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 考试项目查询;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@Accessors(chain = true)
@ApiModel("考试项目查询入参")
public class ProjectDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 考试项目
     */
    @ApiModelProperty("考试项目")
    private Integer projectId;

    /**
     * 类型
     */
    @ApiModelProperty("类型 1:考试项目 2:基础操作")
    private String type;

    /**
     * 所属科目
     */
    @ApiModelProperty("所属科目")
    private String subject;

    /**
     * 车型标识
     */
    @ApiModelProperty("车型标识")
    private Integer carTypeId;

    /**
     * 驾驶类型，手动挡，自动挡，A2:B2等（在字典表里配置）
     */
    @ApiModelProperty("驾驶类型")
    private String driveType;

}
