package com.jwl.driver.server.service;

import com.jwl.driver.server.dto.MemberQueryDto;
import com.jwl.driver.server.entity.TdMember;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jwl.driver.server.vo.MemberVo;

import java.util.List;

/**
 * <p>
 * 会员类型表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ITdMemberService extends IService<TdMember> {

    /**
     * 查询会员列表
     * @param queryDto
     * @return
     */
    List<MemberVo> queryMember(MemberQueryDto queryDto);

    /**
     * 获取用户开通的会员
     * @param queryDto
     * @param userId
     * @return
     */
    List<MemberVo> queryUserMember(MemberQueryDto queryDto,Long userId);
}
