package com.jwl.driver.server.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("微信支付")
public class AppletPayVo {

    @ApiModelProperty("支付金额")
    private BigDecimal money;//金额

    @ApiModelProperty("小程序端 获取的code")
    private String code;//小程序端 获取的code

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("支付描述")
    private String description;

    @ApiModelProperty("商户系统的订单号")
    private String outTradeNo;

}
