package com.jwl.driver.server.service;

import com.jwl.driver.server.dto.ProjectDto;
import com.jwl.driver.server.entity.TdProject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jwl.driver.server.vo.ProjectVo;

import java.util.List;

/**
 * <p>
 * 考试项目表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ITdProjectService extends IService<TdProject> {

    /**
     * 获取考试项目列表
     * @param queryDto
     * @return
     */
    List<ProjectVo> queryProjectList(ProjectDto queryDto);
}
